{% extends "base.njk" %}

{% block content %}
<div ng-controller="transaction">
    <h3>{{i18n.TransactionInfo}}</h3>
    <table>
        <tbody>
            <tr>
                <td class="minwidth pc">{{i18n.Txid}}</td>
                <td>
                    <span class="overview_height">{{tx.txid.toLowerCase()}}</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Amount}}</td>
                <td>
                    <span class="overview_blockHash strong">${ {{tx.amount}} |currency} BLN</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Fee}}</td>
                <td>
                    <span class="overview_blockHash strong">${ {{tx.fee}} |currency} BLN</span>
                </td>
            </tr>
            <tr ng-if="!tx.txpool">
                <td>{{i18n.Time}}</td>
                <td>
                    <span>${ {{tx.time }} |timestr}</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Size}}</td>
                <td>
                    <span>{{tx.size}} bytes</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Seq}}</td>
                <td>
                    <span> {{tx.seq}}</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Type}}</td>
                <td>
                    <span>${ {{tx.type}} |txType}</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Confirmations}}</td>
                <td>
                    {{tx.confirmations}} Confirmations
                </td>
            </tr>
            <tr>
                <td>  {{ i18n.From}}</td>
                <td>
                    <span><a href="/{{tx.from.toLowerCase()}}"> {{tx.from}}</a></span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.To}}</td>
                <td>
                    <span><a href="/{{tx.to.toLowerCase()}}">{{tx.to.toLowerCase()}}</a></span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Height}}</td>
                <td>
                    <span><a href="/{{tx.data.blockHeight}}">{{tx.data.blockHeight}}</a></span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.ReferenceChain}}</td>
                <td>
                    <span><a href="/{{tx.blockHash.toUpperCase()}}">{{tx.blockHash.toUpperCase()}}</a></span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Signature}}</td>
                <td>
                    <span>{{tx.signature.toLowerCase()}}</span>
                </td>
            </tr>
            <tr>
                <td>{{i18n.Message}}</td>
                <td>
                    <span style="word-break: break-all;">{{tx.data.message}}</span>
                </td>
            </tr>
            
        </tbody>
    </table>
</div>
{% endblock %}
